Skip to main content
Clawise

Upload attachment

POST
/api/v1/mail/attachments/upload

Uploads an attachment for use in a subsequent send. Requires email (inbox scope) and file (multipart form field).

Uploaded attachments expire 24 hours after creation. Include the returned id in SendMessageRequest.attachment_ids.

Query Parameters

email*string

Inbox email scope.

Formatemail

Request Body

multipart/form-data

file*string

File to upload.

Response Body

application/json

application/json

curl -X POST "https://api.clawise.dev/api/v1/mail/attachments/upload?email=" \  -F file="string"